# Contributing to Neo4j Browser

## Need to raise an issue?

Where you raise an issue depends largely on the nature of the problem.

Firstly, Enterprise customers might want to head straight over to our [Customer Support Portal](https://support.neo4j.com/).

There are plenty of public channels available, too.

For getting started or questions about how to use a particular feature, create a post on the [community forum](https://community.neo4j.com/), drop a line to the [mailing list](https://groups.google.com/forum/#!forum/neo4j) or ask a question in [Slack](https://neo4j.com/slack).

If you think you might have hit a bug (it happens occasionally!) or you have specific feature request then use [Github Issues](https://github.com/neo4j/neo4j-browser/issues). Check whether someone else may have already raised something similar, as it is incredibly helpful to have related information all together. 

## Want to contribute?

We're grateful for any thoughts you share, including in code form. To contribute a fix or a new feature we have a little bit of process you'll need to follow:

- Do all your work in a personal fork of the original repository
- [Rebase](https://github.com/edx/edx-platform/wiki/How-to-Rebase-a-Pull-Request), don't merge (we prefer to keep our history clean)
- Create a branch (with a useful name) for your contribution
- Include unit tests if appropriate (obviously not necessary for documentation changes)
- Take a moment to read and sign our [CLA](https://neo4j.com/developer/cla). 
 
We can't guarantee that we'll accept pull requests and may ask you to make some changes before they go in.
Occasionally, we might also have logistical, commercial, or legal reasons why we can't accept your work but we'll try to find an alternative way for you to contribute in that case.
